package com.eactive.eai.adapter.socket2.protocol.http;

import com.eactive.eai.adapter.socket2.protocol.http.codec.HttpRequest;
import com.eactive.eai.adapter.socket2.protocol.http.codec.HttpResponse;

abstract public class HttpServlet {

	public void service(HttpRequest request, HttpResponse response) throws Exception {
		doService(request, response);
	}
	
	abstract protected void doService(HttpRequest request, HttpResponse response) throws Exception;
}
